Module | ActiveRecord::ConnectionAdapters::Quoting
In: | lib/active_record/connection_adapters/abstract/quoting.rb

### Methods

quote quote_column_name quote_string quote_table_name quoted_date quoted_false quoted_string_prefix quoted_true

### Public Instance methods

quote(value, column = nil)

Quotes the column value to help prevent SQL injection attacks.

quote_column_name(column_name)

Quotes the column name. Defaults to no quoting.

quote_string(s)

Quotes a string, escaping any ’ (single quote) and \ (backslash) characters.

quote_table_name(table_name)

Quotes the table name. Defaults to column name quoting.

quoted_date(value)
quoted_false()
quoted_string_prefix()
quoted_true()

[Validate]